Subject: Re: [Xen-devel] Re: linux-next: Tree for July 25 (xen)

From: Konrad Rzeszutek Wilk <[email-masked]>
Date: Thu, 4 Aug 2011 18:40:20 -0400

On Thu, Aug 04, 2011 at 06:32:59PM -0400, Konrad Rzeszutek Wilk wrote:
> > > > These build failures are still triggering upstream:
> > > > 
> > > >  arch/x86/xen/trace.c:44:2: error: array index in initializer not of integer type
> > > >  arch/x86/xen/trace.c:44:2: error: (near initialization for ‘xen_hypercall_names’)
> > > >  arch/x86/xen/trace.c:45:1: error: ‘__HYPERVISOR_arch_4’ undeclared here (not in a function)
> > > >  arch/x86/xen/trace.c:45:2: error: array index in initializer not of integer type
> > > >  arch/x86/xen/trace.c:45:2: error: (near initialization for ‘xen_hypercall_names’)
> > > 
> > > Oh, that I haven't seen. Can you send me the .config for that please.
> > 
> > You can't be trying very hard then.  I see lots of these (but no,
> 
> Ah, I am getting it now. Thanks for reporting it.

This should do the trick:

diff --git a/arch/x86/xen/trace.c b/arch/x86/xen/trace.c
index 734beba..520022d 100644
--- a/arch/x86/xen/trace.c
+++ b/arch/x86/xen/trace.c
@@ -1,4 +1,5 @@
 #include <linux/ftrace.h>
+#include <xen/interface/xen.h>
 
 #define N(x)	[__HYPERVISOR_##x] = "("#x")"
 static const char *xen_hypercall_names[] = {